\usepackage[no-math]{fontspec}
\usepackage{xcolor}
\definecolor[named]{fontcolour}{RGB}{35,31,32}
\usepackage{polyglossia}
\setmainlanguage[variant=british]{english}

\usepackage{import}
\usepackage{xifthen}
\usepackage{pdfpages}
\usepackage{tcolorbox}
\usepackage{bbding}
\usepackage[justification=centering]{caption}
\usepackage{wrapfig, subfig}
\usepackage{multirow, tabularx}
\usepackage{xltxtra}
\usepackage{mathtools}
\usepackage{amssymb, amsthm, amsmath}
% \usepackage{esint}
\usepackage{blindtext} % Example

% Fonts setup
\defaultfontfeatures[\rmfamily,\sffamily]{Ligatures=TeX}
\setmainfont{TeXGyretermesX}[%
UprightFont = *-Regular,
BoldFont = *-Bold,
ItalicFont = *-Italic,
BoldItalicFont = *-BoldItalic,
Extension = .otf]
\let\Bbbk\relax
\setsansfont{LibertinusSans}[
UprightFont = *-Regular,
BoldFont = *-Bold,
ItalicFont = *-Italic,
Extension = .otf]
\setmonofont{inconsolata}
\usepackage[%
nofontinfo,
subscriptcorrection,
zswash,
mtphrd,
mtpfrak,
mtpcal
]{mtpro2}

% \DeclareMathSymbol{0}{\mathalpha}{operators}{`0}
% \DeclareMathSymbol{1}{\mathalpha}{operators}{`1}
% \DeclareMathSymbol{2}{\mathalpha}{operators}{`2}
% \DeclareMathSymbol{3}{\mathalpha}{operators}{`3}
% \DeclareMathSymbol{4}{\mathalpha}{operators}{`4}
% \DeclareMathSymbol{5}{\mathalpha}{operators}{`5}
% \DeclareMathSymbol{6}{\mathalpha}{operators}{`6}
% \DeclareMathSymbol{7}{\mathalpha}{operators}{`7}
% \DeclareMathSymbol{8}{\mathalpha}{operators}{`8}
% \DeclareMathSymbol{9}{\mathalpha}{operators}{`9}

% Patch to avoid weird inline maths behaviour
\begingroup\lccode`~=`)
\AtBeginDocument{%
          \edef\rparen{\Umathcharnum\the\Umathcodenum`) }
            \mathcode`)=\string"8000
    }
    \lowercase{\endgroup\def~}{\rparen\penalty0}

% Font colour
    \makeatletter
    \newcommand{\globalcolor}[1]{%
            \color{#1}\global\let\default@color\current@color
    }
    \makeatother
    \AtBeginDocument{\globalcolor{fontcolour}}

\usepackage{csquotes}
\usepackage{siunitx}
\usepackage{geometry}
\geometry{%
        paperwidth=155mm,
        paperheight=248.9mm,
        left=1.5cm,
        right=1.5cm,
        top=2cm,
        bottom=2cm
}

%\parskip=0.1cm
\footskip=1cm

\newcommand\MyRectangle{\rule{.36em}{2ex}}
\renewcommand\qedsymbol{\MyRectangle}
% qed symbol
\makeatletter
\renewenvironment{proof}[1][\proofname]{\par
        \normalfont \topsep6\p@\@plus6\p@\relax
        \trivlist
\item[\hskip\labelsep
        \itshape
        #1\@addpunct{.}]\ignorespaces
        }{%
        \nolinebreak\qedsymbol\endtrivlist\@endpefalse
}
\makeatother

\tcbuselibrary{theorems}
\tcbuselibrary{skins,breakable}
\definecolor{navy}{RGB}{10,35,63}
\definecolor{green}{RGB}{10,63,35}

\newcommand{\pp}{\!\mathrel{+}\mathrel{\mkern-3.5mu}\mathrel{+}}

% Environments
\newtheorem{exercise}[subsubsection]{Exercise}

\theoremstyle{definition}
\newtcbtheorem[number within=section]{theorem}{Theorem}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,theorem name and number}{th}

\newtcbtheorem[number within=section]{assumption}{Assumption}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,theorem name and number}{th}

\newtcbtheorem[number within=section]{proposition}{Proposition}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,coltext=fontcolour,theorem name and number}{th}

\newtcbtheorem[number within=section]{lemma}{Lemma}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,coltext=fontcolour,theorem name and number}{th}

\newtcbtheorem[number within=section]{corollary}{Corollary}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,coltext=fontcolour,theorem name and number}{th}

\newtcbtheorem[number within=section]{definition}{Definition}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,coltext=fontcolour,theorem name and number}{th}

\newtcbtheorem[number within=section]{remark}{Remark}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,coltext=fontcolour,theorem name and number}{th}

\newtcbtheorem[number within=section]{axiom}{Axiom}{
        breakable=true,
        theorem style=plain,enhanced,sharp corners,
        colframe=fontcolour,colback=gray!20,coltitle=fontcolour,
        title style={fontcolour!85!white},fonttitle=\bfseries,
fontupper=\normalsize,coltext=fontcolour,theorem name and number}{th}

%------------------------------------------------------------------------------------------
% Table of contents per chapter

\usepackage[english]{minitoc}
\AtBeginDocument{%
            \addto\captionsenglish{\mtcselectlanguage{english}}
    }

% minitoc stuff ------------------------------------------------------
    %\mtcsetpagenumbers{*}{off}
    \dominitoc \dominilof \dominilot
    \faketableofcontents
    %\tableofcontents
    \fakelistoffigures \fakelistoftables

%------------------------------------------------------------------------------------------
    % Command for including figures on the fly
\newcommand{\incfig}[2][1]{%
        \def\svgwidth{#1\columnwidth}
        \import{./figures/}{#2.pdf_tex}
}

\newcommand{\bigzero}{\mbox{\normalfont\Huge\bfseries 0}}%
\setcounter{MaxMatrixCols}{11}%
\usepackage{scrlayer-scrpage}

% header configuration with koma-script
\definecolor[named]{myColorMainA}{RGB}{1,0,0}
% KOMA-Script code to customize the headings
% Applying the color 'myColorMainA' which is defined in the main file (MainFile.tex)
\addtokomafont{title}{\color{myColorMainA}}
\addtokomafont{author}{\large\color{myColorMainA}}
\addtokomafont{publishers}{\normalsize\color{myColorMainA}}
\addtokomafont{date}{\normalsize\color{myColorMainA}}
\addtokomafont{section}{\large\color{myColorMainA}}

% KOMA-Script code for header and footer font
\setkomafont{pageheadfoot}{%
        \small\rmfamily\bfseries
}
\setkomafont{pagefoot}{%
        \small\rmfamily\bfseries
}
\setkomafont{pagenumber}{%
        \normalfont\rmfamily\bfseries
}

% First page style
\newlength{\myLenghthFootAbstand}
\setlength{\myLenghthFootAbstand}{\paperheight-\topmargin- \headheight-\headsep-\textheight-\footskip}
\newlength{\myLenghthTemp}
\setlength{\myLenghthTemp}{\myLenghthFootAbstand+\baselineskip}

\clearpairofpagestyles
\automark[section]{section}
\ohead{\headmark}

% Left (even page numbers) footer
\lefoot%
[% scrplain style (begin)
\setlength{\unitlength}{\myLenghthFootAbstand}%
\begin{picture}(0,0)%
        \put(0,-1)%
        {%
                \makebox(0,0)[lb]%
                {%
                        \rule{0.4pt}{\myLenghthTemp}%
                }%
        }%
\end{picture}\llap{\pagemark~}%
]% scrplain style (end)
%
{% scrheadings style (begin)
        \setlength{\unitlength}{\myLenghthFootAbstand}%
        \begin{picture}(0,0)%
                \put(0,-1)%
                {%
                        \makebox(0,0)[lb]%
                        {%
                                \rule{0.4pt}{\myLenghthTemp}%
                        }%
                }%
        \end{picture}\llap{\pagemark~}%
}% scrheadings style (end)

% Right (odd page numbers) footer
\rofoot%
[% scrplain style (begin)
\rlap{~\pagemark}%%
\setlength{\unitlength}{\myLenghthFootAbstand}%
\begin{picture}(0,0)%
        \put(0,-1)%
        {%
                \makebox(0,0)[lb]%
                {%
                        \rule{0.4pt}{\myLenghthTemp}%
                }%
        }%
\end{picture}%
]% scrplain style (end)
%
{% scrplain style (begin)
        \rlap{~\pagemark}%%
        \setlength{\unitlength}{\myLenghthFootAbstand}%
        \begin{picture}(0,0)%
                \put(0,-1)%
                {%
                        \makebox(0,0)[lb]%
                        {%
                                \rule{0.4pt}{\myLenghthTemp}%
                        }%
                }%
        \end{picture}%
}% scrplain style (end)


%------------------------------------------------------------------------------------------
% Advanced graphics package

\usepackage{tikz}

%------------------------------------------------------------------------------------------
% Setting for CHAPTER TITLE FORMAT

% http://web.slzm.de/blog/latex/schone-kapiteltitelseiten-in-latex/
%
\usetikzlibrary{calc} % style 2, 3, 4
\usetikzlibrary{decorations,decorations.shapes,shapes} % 3
\usepackage{titlesec}
% Style 4
\titleformat{\chapter}[display]
{\bfseries\Large}
{\hfill \tikz[remember picture] \node[] (nr) {\fontsize{85}{49.6}\selectfont\color{fontcolour}\textbf{\thechapter~}};% ~
        \begin{tikzpicture}[overlay,remember picture]
                \coordinate (leftborder) at ($(nr)-(70.8,0)$);
                \coordinate (leftborderhigh) at ($(nr.north west)-(70.8,0)$);
                \coordinate (leftborderlow) at ($(nr.south west)-(70.8,0)$);
                \coordinate (left) at ($(nr.west)-(1,0)$);
                \fill[gray!20] (leftborderhigh) -- ($(nr.north west)+(0,0.5)$) -- (left) -- (leftborder) -- cycle;
                \fill[gray!20] (leftborderlow) -- ($(nr.south west)-(0,0.5)$) -- (left) -- (leftborder) -- cycle;
                \draw[fontcolour,line width=0.1em,line join=round] (left) -- ($(nr.south west)-(0,0.5)$) -- ($(nr.south east)-(0,0.5)$) -- ($(nr.north east)+(0,0.5)$) -- ($(nr.north west)+(0,0.5)$) -- (left) -- (leftborder);
                %
                %\node [red,right] at ($(nr)-(0.93\textwidth,-20pt)$) {\fontsize{40}{45}\selectfont\color{blue!50!fontcolour}\textbf{\chaptername}};
                \pgftransformshift{\pgfpointanchor{current page}{south west}}
                \pgftransformshift{\pgfpoint{1.5cm}{20.2cm}}
                \pgftext[left]{\fontsize{28.3}{31.875}\selectfont\color{fontcolour}\textbf{\chaptername}}
                %
\end{tikzpicture}}
{-2ex}
{\filleft\fontsize{28}{32}\selectfont\vskip\baselineskip}% \fontsize{50}{70}\selectfont\scshape
[\vspace{0ex}]
%
% http://tex.stackexchange.com/questions/10009/subtitle-for-a-section
%
%SECTION
\titleformat{\section}
        {\bfseries\filright\Large}
                {\thesection}{1em}{}

\titleformat{\subsection}
        {\centering\Large}
                {}{1em}{}

\usepackage{etoolbox, ifluatex}

% correction for large symbols with mtpro2 on LuaTeX
\ifluatex
        \makeatletter
        \patchcmd{\PEX@}{\dp\Pbox@>\dp\z@}{\ht\Pbox@>\dp\z@}{}{}
        \patchcmd{\SQEX@}{\dp\Sbox@>\dp0}{\ht\Sbox@>\dp0}{}{}
        \makeatother
\fi

\makeatother
\def\@lecture{}%
\newcommand{\lecture}[3]{
        \ifthenelse{\isempty{#3}}{%
                \def\@lecture{}%
                }{%
                \def\@lecture{#3}%
        }%
        \section{\@lecture}
}
\makeatletter

\setkomafont{section}{\Large\rmfamily}

\usepackage{hyperxmp}

\author{
        Juan David Salcedo Hernández\\
        \href{mailto:jdavid.salcedo@udea.edu.co}{jdavid.salcedo@udea.edu.co}
}
\date{}

\usepackage[hidelinks, hypertexnames=false]{hyperref}

\special{pdf:majorversion 2}
\special{pdf:minorversion 0}


\setlength{\parindent}{0mm}
\setlength{\parskip}{8pt}
\setlength{\columnsep}{10mm}
\widowpenalties 3 10000 10000 0
\clubpenalties 3 10000 10000 0
